<?php
error_reporting(E_ALL);
ini_set('display_errors', '1');


$content = file_get_contents("php://input");
$update = json_decode($content, true);

include('class/bot.php');
include('class/db.php');

$bot = new bot("8523706905:AAGxTmSbHNUP6TUDLyddbhJNdRj3fqkXZnM", $content);
$db = new db();


$db->getinfo($bot->chatid, $bot->username, $bot->firstname, $bot->lastname);


$channels = array(
    '@mrpourrajabi',
);

$notJoinedChannels = array();
foreach ($channels as $channel) {
    if ($bot->inchannel($bot->chatid, $channel) != 'ok') {
        $notJoinedChannels[] = $channel;
    }
}




$sql = "select * from admin";
$stmt = $db->conn->prepare($sql);
$stmt->execute();
$stmt->setFetchMode(PDO::FETCH_ASSOC);
$getter = $stmt->fetchAll();
$numrowfusers = $stmt->rowCount();
$idList=$getter[0]['admin_list'];
$exIdList=explode(",",$idList);
$idList=explode(",",$idList);




if (!empty($notJoinedChannels)) {
    $text = "
    درود $bot->firstname عزیز به ربات گیلان فورکا خوش اومدی💚
📈 ابتدا در کانال‌ زیر عضو شو👇🏻";

    $inline_keyboard = array();
    foreach ($notJoinedChannels as $channel) {
        $inline_keyboard[] = array(
            array("url" => "https://t.me/" . ltrim($channel, '@'), "text" => "کانال گیلان فورکا ")
        );
    }

    $inline_keyboard[] = array(
        array("callback_data" => "checkChannelSub", "text" => "✅ عضو شدم")
    );

    $key = json_encode(
        array(
            "inline_keyboard" => $inline_keyboard
        )
    );

    $bot->sendmessage(urlencode($text), $bot->chatid, $key);
    exit();
}
elseif ($bot->datamytext == 'checkChannelSub') {
    $bot->recmsg = '/start';
}


if ($bot->recmsg == "/start" || $bot->recmsg == "🔙 بازگشت") {
    $text = "
🗣 سلام! به ربات هواشناسی گیلان فورکا خوش اومدی 😊
اینجا می‌تونی به‌صورت مستقیم عکس‌ها و فیلم‌هاتو  داخل کانال ارسال کنی.
خوشحالیم که اینجایی
";

    $bot->sendmessage(urlencode($text), $bot->chatid, $bot->mainKey);
    $sql = "update users set  req1='', req2='' where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);
} 


elseif($bot->recmsg == "ارسال محتوا به کانال"){
    $keys = json_encode(
        array(
            "inline_keyboard" => array(
                array(
                    array("text" => urlencode("🔙 بازگشت"), "callback_data" => urlencode("🔙 بازگشت"))
                ),
            )
        )
    );
    $text = "محتوای لحظه ای از وضعیت هوا رو برامون بفرست تا زود توی کانال بذاریمش 🌧️📸";
    $bot->sendmessage(urlencode($text), $bot->chatid, $keys);

    $sql = "update users set  req1='getContent', req2='' where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);
}

elseif($db->req1 == 'getContent'){

    $keys = json_encode(
        array(
            "inline_keyboard" => array(
                array(
                    array("text" => urlencode("🔙 بازگشت"), "callback_data" => urlencode("🔙 بازگشت"))
                ),
            )
        )
    );

    // if (!isset($update['message']['photo']) && !isset($update['message']['video'])) {

    //     $text = "لطفاً فقط عکس 📸 یا ویدئو 🎥 بفرستید تا بتونیم سریع توی کانال بذاریمش";
    //     $bot->sendmessage(urlencode($text), $bot->chatid, $keys);
    //     exit;
    // }

   
    $text = " برای ادمین ارسال شد! 🚀
مرسی که همراهمون هستی و وضعیت هوا رو به بقیه خبر می‌دی 🌈";
    $bot->sendmessage(urlencode($text), $bot->chatid, $keys);

    foreach ($idList as $chatId) {
        $bot->copyMessage($chatId, $bot->chatid, $bot->message_id, '');
    }


    $sql = "update users set  req1='', req2='' where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);
}